//
// ZURB Foundation settings.
//
@import '../../../Public/Vendor/foundation/scss/foundation/functions';

$rem-base: $inuit-base-font-size;
$frs-base-unit: rem-calc(50);
$frs-base-unit-small: rem-calc(40);

// We use this to control whether or not CSS classes come through in the gem files.
$include-html-classes: false;
$include-print-styles: false;
$include-js-meta-styles: true;
// Warning! Meta styles are a dependancy of the Javascript.
$include-html-global-classes: $include-html-classes;

// Grid settings
$row-width: 100%;
$total-columns: 24 !default;
$frs-grid-unit: grid-calc(1, $total-columns);
$column-gutter: $frs-base-unit;

//Block grid setting for nested elements
$block-grid-elements: 12 !default;
$block-grid-default-spacing: rem-calc(20) !default;
$align-block-grid-to-grid: true !default;

// Top Bar
$topbar-height: $frs-base-unit;
$include-html-top-bar-classes: true;

// Accordeon
$accordion-content-padding: 0;

// Tabs
$include-html-tabs-classes: true;
$tabs-navigation-padding: $frs-base-unit / 3;
$tabs-navigation-bg-color: $frs-color-white;
$tabs-navigation-active-bg-color: $frs-color-bright;
$tabs-navigation-hover-bg-color: $frs-color-light-grey;
$tabs-navigation-font-size: 100%;
$tabs-content-margin-bottom: $frs-base-unit;
$tabs-vertical-navigation-margin-bottom: 0;

// Reveal
$reveal-modal-class: 'o-modal';
$close-reveal-modal-class: 'o-modal__close';

$small-breakpoint: em-calc(720);
$medium-breakpoint: em-calc(1024);
$large-breakpoint: em-calc(1440);
$xlarge-breakpoint: em-calc(1920);
